#ifndef SCRIPTPREFS_H
#define SCRIPTPREFS_H

#include <QDialog>
#include "ui_scriptprefs.h"

class ScriptPrefs : public QDialog
{
	Q_OBJECT

public:
	ScriptPrefs(QWidget *parent = 0, const QString &tempEntry = QString());
	~ScriptPrefs();

public slots:
	void accept();

private slots:
	void radioButtonClicked(QAbstractButton *btn);
	void pyFileOpen();

private:
	Ui_ScriptPrefDialog ui;

	QString _tempEntry;
	QButtonGroup _prefBtnGroup;
};

#endif // SCRIPTPREFS_H
